#!/usr/bin/env python
import subprocess

RESULT = '\033[32m'
WARNING = '\033[33m'
ERROR = '\033[31m'
CRITICAL = '\033[1m \033[31m'
DEFAULT = '\033[0m\033[39m'


def main():
    experiments = dict()
    experiments['t00r'] = 1
    experiments['t00v'] = 1 

    status = dict()

    for exp in experiments.keys():
        status[exp] = subprocess.call('autosubmit create {0}'.format(exp), shell=True)

    for exp in experiments.keys():
        if status[exp] == 0:
            status[exp] = subprocess.call('autosubmit run {0}'.format(exp), shell=True)

    print '\n\nResults:'
    print '==========================='
    for exp in experiments.keys():
        if status[exp] == 0:
            print '{0}: {1}OK{2}'.format(exp, RESULT, DEFAULT)
        else:
            print '{0}: {1}Failed{2}'.format(exp, ERROR, DEFAULT)


if __name__ == "__main__":
    main()
